---
title: HTMLHyperlinkElementUtils.hostname
slug: Web/API/HTMLHyperlinkElementUtils/hostname
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<p>{{ApiRef("URL API")}}</p>

<p>The <strong><code>HTMLHyperlinkElementUtils.hostname</code></strong> property is a {{domxref("USVString")}} containing the domain of the URL.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.hostname;
<em>object.</em>hostname = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's an &lt;a id="myAnchor" href="/en-US/docs/HTMLHyperlinkElementUtils.hostname"&gt; element be in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.hostname; // Returns:'developer.mozilla.org'</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-hostname', 'HTMLHyperlinkElementUtils.hostname')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.hostname")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
